Bug 974633 - engine-setup stopping nfs service and not starting it again
engine-setup stopping nfs service and not starting it again
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
unspecified
All Linux
urgent Severity medium
: ---
: 3.3
Assigned To: Alex Lourie
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 13:01 EDT by Amador Pahim
Modified: 2013-09-23 03:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:34:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15730 None None None Never
oVirt gerrit 15954 None None None Never

  None (edit)
Description Amador Pahim 2013-06-14 13:01:29 EDT
Description of problem:
nfs-server service is being stopped by engine-setup and not started again, making nfs ISO domain not available up to manual service start.

Version-Release number of selected component (if applicable):
Fedora 18
ovirt-engine-setup-3.3.0-0.2.master.20130609231424.gitc493152.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
1. Configure an NFS ISO domain during engine setup.
2. After engine-setup finish, check nfs-server service.
 
Actual results:
# systemctl status nfs-server.service
nfs-server.service - NFS Server
   Loaded: loaded (/usr/lib/systemd/system/nfs-server.service; enabled)
   Active: inactive (dead) since Fri 2013-06-14 13:58:09 BRT; 788ms ago
  Process: 29070 ExecStopPost=/usr/sbin/exportfs -f (code=exited, status=0/SUCCESS)
  Process: 29067 ExecStop=/usr/sbin/rpc.nfsd 0 (code=exited, status=0/SUCCESS)
  Process: 29043 ExecStartPost=/usr/lib/nfs-utils/scripts/nfs-server.postconfig (code=exited, status=0/SUCCESS)
  Process: 29028 ExecStart=/usr/sbin/rpc.nfsd $RPCNFSDARGS $RPCNFSDCOUNT (code=exited, status=0/SUCCESS)
  Process: 29025 ExecStartPre=/usr/sbin/exportfs -r (code=exited, status=0/SUCCESS)
  Process: 29022 ExecStartPre=/usr/lib/nfs-utils/scripts/nfs-server.preconfig (code=exited, status=0/SUCCESS)


Expected results:
# systemctl status nfs-server.service
nfs-server.service - NFS Server
   Loaded: loaded (/usr/lib/systemd/system/nfs-server.service; enabled)
   Active: active (exited) since Fri 2013-06-14 13:58:30 BRT; 1s ago
  Process: 29070 ExecStopPost=/usr/sbin/exportfs -f (code=exited, status=0/SUCCESS)
  Process: 29067 ExecStop=/usr/sbin/rpc.nfsd 0 (code=exited, status=0/SUCCESS)
  Process: 29096 ExecStartPost=/usr/lib/nfs-utils/scripts/nfs-server.postconfig (code=exited, status=0/SUCCESS)
  Process: 29081 ExecStart=/usr/sbin/rpc.nfsd $RPCNFSDARGS $RPCNFSDCOUNT (code=exited, status=0/SUCCESS)
  Process: 29077 ExecStartPre=/usr/sbin/exportfs -r (code=exited, status=0/SUCCESS)
  Process: 29076 ExecStartPre=/usr/lib/nfs-utils/scripts/nfs-server.preconfig (code=exited, status=0/SUCCESS)


Additional info:
The issue happens for 2 reasons:
1) rpcbind service stop/start stops nfs-server service.
2) wrong nfs service name in engine-setup code (nfs-server).

Patch is on the way.
Comment 1 Alex Lourie 2013-06-27 07:19:38 EDT
Can you please attach the complete log of installation where the service finishes in a failed state?

Thanks.
Comment 2 Alex Lourie 2013-06-27 07:59:37 EDT
I just run this in ovirt 3.3 master branch.

Both legacy setup (engine-setup) and new otopi-based setup (engine-setup-2) passed successfully and nfs service is running fine on both:

nfs-server.service - NFS Server
   Loaded: loaded (/usr/lib/systemd/system/nfs-server.service; enabled)
   Active: active (exited) since Thu 2013-06-27 14:27:05 IDT; 23min ago 
 Main PID: 11725 (code=exited, status=0/SUCCESS)
   CGroup: name=systemd:/system/nfs-server.service

Jun 27 14:27:05 alex-1-99.myhost systemd[1]: Started NFS Server.


# ps -ef | grep nfs                                             
root      2715  7668  0 14:50 pts/2    00:00:00 grep --color=auto nfs
root     11728     2  0 14:27 ?        00:00:00 [nfsd4]
root     11729     2  0 14:27 ?        00:00:00 [nfsd4_callbacks]
root     11732     2  0 14:27 ?        00:00:00 [nfsd]
root     11733     2  0 14:27 ?        00:00:00 [nfsd]
root     11734     2  0 14:27 ?        00:00:00 [nfsd]
root     11735     2  0 14:27 ?        00:00:00 [nfsd]
root     11736     2  0 14:27 ?        00:00:00 [nfsd]
root     11737     2  0 14:27 ?        00:00:00 [nfsd]
root     11738     2  0 14:27 ?        00:00:00 [nfsd]
root     11739     2  0 14:27 ?        00:00:00 [nfsd]
root     26125     2  0 Jun20 ?        00:00:00 [nfsiod]


Please cleanup the system and try running the setup again.

Thanks.
Comment 3 Amador Pahim 2013-06-27 08:21:17 EDT
Sorry, I do not have the logs anymore. Indeed, I tested legacy and it's working well after commit cfcfdf2f. Thank you for fixing in new otopi-based setup.
Comment 4 Itamar Heim 2013-08-21 12:41:49 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 5 Itamar Heim 2013-09-23 03:34:39 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.